classification
Title: cmath documentation misleading: suggests existence of real() and imag() functions
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: ezio.melotti, georg.brandl, mark.dickinson
Priority: normal Keywords: patch

Created on 2009-07-22 21:54 by mark.dickinson, last changed 2009-07-28 16:39 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
cmath_rewrite.patch mark.dickinson, 2009-07-23 09:25
Messages (6)
msg90824 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-07-22 21:54
The wording of the first section of the cmath module documentation is 
confusing:  the displayed blocks seem to suggest that there are real() and 
imag() functions.

This first section really needs a serious rewrite.  While we're at it, it 
might also be nice to separate out the cmath functions into categories, in 
the same way that the math module documentation is organized.

Also, 'complex plain' -> 'complex plane'.
msg90825 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-07-22 21:56
(Thanks Andrew Spott for pointing this out on #python IRC.)
msg90840 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-07-23 07:09
Fixed the trivial stuff in r74184. Leaving open for the suggested rewrite.
msg90842 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-07-23 09:25
Here's a proposed rewrite, as a patch against the trunk documentation.  
Comments welcome!
msg90843 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-07-23 11:21
Looks good to me.
msg91008 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-07-28 16:39
Thanks, Georg!

Committed, r74230 (trunk), r74231 (release26-maint), r74232 (py3k), r74233 
(release31-maint).  The latter three revisions include the merge of r74184 
from trunk.
History
Date User Action Args
2009-07-28 16:39:25mark.dickinsonsetstatus: open -> closed
resolution: fixed
messages: + msg91008

stage: resolved
2009-07-23 11:21:02georg.brandlsetmessages: + msg90843
2009-07-23 09:25:18mark.dickinsonsetfiles: + cmath_rewrite.patch
assignee: mark.dickinson -> georg.brandl
messages: + msg90842

keywords: + patch
2009-07-23 07:09:33georg.brandlsetnosy: + georg.brandl
messages: + msg90840
2009-07-23 00:12:13ezio.melottisetnosy: + ezio.melotti
2009-07-22 21:56:22mark.dickinsonsetmessages: + msg90825
2009-07-22 21:54:56mark.dickinsoncreate